#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libev - an event notification library
Summary(pl.UTF-8):	libev - biblioteka powiadamiająca o zdarzeniach
Name:		libev
Version:	4.33
Release:	1
License:	BSD or GPL v2+
Group:		Libraries
Source0:	http://dist.schmorp.de/libev/%{name}-%{version}.tar.gz
# Source0-md5:	a3433f23583167081bf4acdd5b01b34f
URL:		http://software.schmorp.de/pkg/libev.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
# inotify interface
BuildRequires:	glibc-devel >= 6:2.4
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libev API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has
been reached. It is meant to replace the asynchronous event loop found
in event-driven network servers.

%description -l pl.UTF-8
API libev dostarcza mechanizm do wykonywania funkcji callback, kiedy
nastąpiło określone zdarzenie w deskryptorze pliku lub po określonym
czasie. Ma to na celu zastąpienie asynchronicznych pętli w sterowanych
zdarzeniami usługach sieciowych.

%package devel
Summary:	Header files for libev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libev library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libev.

%package static
Summary:	Static libev library
Summary(pl.UTF-8):	Statyczna biblioteka libev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libev library.

%description static -l pl.UTF-8
Statyczna biblioteka libev.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

# override -O3 which overrides our optflags in configure
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# avoid conflict with libevent
install -d $RPM_BUILD_ROOT%{_includedir}/libev
mv $RPM_BUILD_ROOT%{_includedir}/event.h $RPM_BUILD_ROOT%{_includedir}/libev

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README TODO
%attr(755,root,root) %{_libdir}/libev.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libev.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libev.so
%{_libdir}/libev.la
%{_includedir}/ev.h
%{_includedir}/ev++.h
%dir %{_includedir}/libev
%{_includedir}/libev/event.h
%{_mandir}/man3/ev.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libev.a
%endif
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libev.git;a=log;h=master

* Sat Mar 21 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> efb6f04
- up to 4.33

* Thu Jan 02 2020 Jakub Bogusz <qboosh@pld-linux.org> f4264cb
- updated to 4.31

* Fri Jun 28 2019 Adam Gołębiowski <adamg@pld-linux.org> f107d57
- updated to 4.27

* Tue Mar 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 7efc4b4
- updated to 4.24

* Mon Dec 19 2016 Jakub Bogusz <qboosh@pld-linux.org> 24bb961
- updated to 4.23

* Sat Mar 19 2016 Adam Osuchowski <adwol@pld-linux.org> f287399
- fixed URL

* Thu Dec 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 38c50a5
- updated to 4.22

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 119aa81
- updated to 4.20
- removed obsolete ac patch

* Thu Feb 26 2015 Jakub Bogusz <qboosh@pld-linux.org> e2e9fb5
- updated to 4.19
- updated ac patch

* Mon Sep 08 2014 Jakub Bogusz <qboosh@pld-linux.org> f2cfe14
- updated to 4.18
- added ac patch (fix generated configure syntax)

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> da84936
- updated to 4.15

* Wed Feb 08 2012 Jakub Bogusz <qboosh@pld-linux.org> a94070f
- updated to 4.11

* Sun Feb 20 2011 aredridel <aredridel@pld-linux.org> 0debe88
- 4.04

* Wed Jan 12 2011 Jakub Bogusz <qboosh@pld-linux.org> c4c73cf
- updated to 4.03

* Sat Nov 13 2010 Caleb Maclennan <caleb@alerque.com> 547c4f3
- Up to 4.01

* Mon Mar 15 2010 Elan Ruusamäe <glen@pld-linux.org> ca74630
- macro cosmetic

* Fri Mar 12 2010 aredridel <aredridel@pld-linux.org> 223baa9
- 3.9

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> 94510e7
- use standatd BuildRoot directory

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 44e711c
- updated to 3.6 (or 3.60 - due to wierd version numeration)

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 6da7ec5
- updated to 3.43

